package org.foxarmy.chatProxy

import com.google.gson.Gson
import org.bukkit.event.EventHandler
import org.bukkit.event.Listener
import org.bukkit.event.player.AsyncPlayerChatEvent
import org.bukkit.plugin.java.JavaPlugin
import java.time.Instant

class ChatListener(private val kafkaClient: KafkaClient) : Listener{

    @EventHandler
    fun onChat(event: AsyncPlayerChatEvent) {
        val player = event.player
        val message = event.message
        val timestamp = Instant.now().epochSecond

        val data = MessageJson(player.name, message, "server", timestamp)
        val gson = Gson()
        val gsonData = gson.toJson(data)

        kafkaClient.sendData(gsonData)
    }

}