package org.foxarmy.chatProxy

import org.bukkit.command.Command
import org.bukkit.command.CommandExecutor
import org.bukkit.command.CommandSender
import org.bukkit.plugin.java.JavaPlugin
import java.util.*

class Commands(private val plugin: JavaPlugin) : CommandExecutor {
    override fun onCommand(sender: CommandSender, command: Command, label: String, args: Array<out String>): Boolean {
        if (!sender.hasPermission("chatproxy.use")) {
            sender.sendMessage("You do not have permission to use this command.")
            return true
        }
        if (args.isEmpty()) {
            sender.sendMessage("Usage: /chatproxy <subcommand>")
            return true
        }

        when (args[0].lowercase(Locale.getDefault())) {
            "reload" -> {
                reloadConfig(sender)
                return true
            }
            else -> {
                sender.sendMessage("Unknown subcommand. Usage: /chatproxy <reload>")
                return true
            }
        }
    }
    private fun reloadConfig(sender: CommandSender) {
        plugin.reloadConfig()
        sender.sendMessage("Configuration reloaded successfully.")
    }
}